"""
Supplier JSONL Handler
"""
from ...datasource import BaseJsonlHandler, JsonlDataSource
from .sync_node import SupplierSyncNode
from schemas.supplier.supplier import SupplierDetailResponse


class SupplierJsonlHandler(BaseJsonlHandler):
    """供应商 JSONL Handler"""
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "supplier", SupplierSyncNode, SupplierDetailResponse)
